Bug 9382 - dcerpc_pull_ncacn_packet doesn't support DCERPC_PFC_FLAG_OBJECT_UUID
dcerpc_pull_ncacn_packet doesn't support DCERPC_PFC_FLAG_OBJECT_UUID
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: DCE-RPCs and pipes
4.0.0rc4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 9306
  Show dependency treegraph
 
Reported: 2012-11-12 09:07 UTC by Stefan Metzmacher
Modified: 2013-04-30 10:58 UTC (History)
1 user (show)

See Also:


Attachments
patch for 3.6 and 4.0, same as what is in master (1.09 KB, patch)
2013-04-27 16:35 UTC, David Disseldorp
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2012-11-12 09:07:02 UTC
A client can add a guid to the dcerpc ncacn header, which means the payload
will start 16 bytes later. In order to parse such a packet we need to pass special
flags to the ndr parser.

This also applies to 3.6 and maybe 3.5
Comment 1 David Disseldorp 2013-04-27 16:35:37 UTC
Created attachment 8823 [details]
patch for 3.6 and 4.0, same as what is in master
Comment 2 Stefan Metzmacher 2013-04-29 08:04:33 UTC
Comment on attachment 8823 [details]
patch for 3.6 and 4.0, same as what is in master

Looks good to me
Comment 3 Karolin Seeger 2013-04-30 07:30:47 UTC
Pushed to v3-6-test and autobuild-v4-0-test.
Comment 4 Karolin Seeger 2013-04-30 10:58:55 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!